Skip to main content

Documentation Index

Fetch the complete documentation index at: https://docs.mindcase.co/llms.txt

Use this file to discover all available pages before exploring further.

$1 / 1k products Extract Blinkit product details — MRP, selling price, stock — from product URLs

Endpoint

POST /api/v1/agents/blinkit/products/run

Parameters

urls
array
required
List · Blinkit product page URLs. One per line.
stores
array
Multi-select · Pick one or more dark-store locations (city - pincode - store ID).View all 2100 options →
cities
array
Multi-select · Or expand by city — pick one or more cities and we’ll include all their stores.View all 253 options →
pincodes
array
Multi-select · Or expand by pincode — pick one or more pincodes and we’ll include all their stores.View all 1286 options →

Response columns

FieldDisplay nameType
productUrlProduct URLurl
cityCitytext
pincodePincodetext
productNameProduct Nametext
brandBrandtext
imageImageurl
pricePricecurrency
mrpMRPcurrency
discountDiscount %percentage
quantityQuantitytext
ratingRatingrating
ratingCountRating Countnumber
inStockIn Stockboolean
inventoryInventorynumber
platformPlatformtext
productIdProduct IDtext

Example

curl -X POST https://api.mindcase.co/api/v1/agents/blinkit/products/run \
  -H "Authorization: Bearer mk_live_abc123def456" \
  -H "Content-Type: application/json" \
  -d '{
  "params": {
    "platform": "blinkit",
    "urls": [
      "https://blinkit.com/prn/x/prid/678441",
      "https://blinkit.com/prn/x/prid/681082",
      "https://blinkit.com/prn/x/prid/37083",
      "https://blinkit.com/prn/x/prid/309921",
      "https://blinkit.com/prn/x/prid/681066",
      "https://blinkit.com/prn/x/prid/14336",
      "https://blinkit.com/prn/x/prid/471924",
      "https://blinkit.com/prn/x/prid/13057",
      "https://blinkit.com/prn/x/prid/20891",
      "https://blinkit.com/prn/x/prid/289152"
    ],
    "store_id": "40144"
  }
}'

Example response

Response
{
  "job_id": "job_7f3a2b1c",
  "status": "completed",
  "data": [
    {
      "productUrl": "https://blinkit.com/prn/x/prid/763173",
      "city": "New Delhi",
      "pincode": "110001",
      "productName": "Mother Dairy Badam Flavoured Milk",
      "brand": "Mother Dairy",
      "image": [
        "https://cdn.grofers.com/da/cms-assets/cms/product/rc-upload-1773387246067-162.png?bg_token=color.background.quaternary",
        "https://cdn.grofers.com/da/cms-assets/cms/product/rc-upload-1773387246067-163.png",
        "https://cdn.grofers.com/da/cms-assets/cms/product/rc-upload-1773387246067-164.png",
        "https://cdn.grofers.com/da/cms-assets/cms/product/rc-upload-1773387246067-165.png",
        "https://cdn.grofers.com/da/cms-assets/cms/product/rc-upload-1773387246067-166.png"
      ],
      "price": 23.0,
      "mrp": 30.0,
      "discount": 23.33,
      "quantity": null,
      "rating": null,
      "ratingCount": null,
      "inStock": true,
      "inventory": 1,
      "platform": "Blinkit",
      "productId": "763173"
    }
  ]
}